@media screen and (max-width: 350px) {
   h1 {
      width: min-content;
   }
}

/* ======================================================
   MOBILE STYLES (max-width: 610px)
   ====================================================== */

@media screen and (max-width: 610px) {
   h1 {
      /* font-size: 3rem; */
      line-height: 1;
   }
   .menu-list a {
      font-size: 2.5rem;
   }
   .logo-header h1 {
      font-size: 5.5rem;
      width: 100%;
      width: -moz-available; /* Firefox */
      width: -webkit-fill-available; /* Chrome */
      width: fill-available; /* Estándar */
   }
   .site-branding {
      font-size: 1.3rem;
      justify-content: center;
      padding: 1.5rem 60px;
      text-align: center;
   }
   .newsletter-lead,
   .newsletter-features li {
      font-size: 1.7rem;
   }
   article.page {
      padding: 2rem;
   }
   article.lista {
      padding: 2rem 2rem 2rem 1rem;
   }
   .lista-descripcion p,
   .home-description p {
      font-size: 1.8rem;
   }
   .lista-info {
      gap: 0;
   }
   .restaurant-info h3 {
      font-size: 1.6rem;
   }
   .restaurant-info .restaurant-descripcion {
      padding-top: 0;
   }
   li.restaurant-item {
      gap: 0.1rem;
   }
   .restaurant-info-secondary p {
      hyphens: auto;
   }
   .restaurant-info.expanded {
      max-height: none; /* Eliminar max-height en móvil */
   }
   .newsletter-title {
      font-size: 2.4rem;
   }
}
